GNU bug report logs - #13130
24.2.90; :box face attribute problems

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Dmitry Gutov <dgutov@HIDDEN>; merged with #13011, #17612; dated Sun, 9 Dec 2012 22:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 13011 13130 17612. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 13011 13130. Request was from Dmitry Gutov <dgutov@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Dmitry Gutov <dgutov@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Dec 2012 22:23:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 09 17:23:52 2012
Received: from localhost ([127.0.0.1]:34401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ThpHr-00077F-SL
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2012 17:23:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40455)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <raaahh@HIDDEN>) id 1ThpHn-000774-O0
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2012 17:23:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <raaahh@HIDDEN>) id 1ThpH9-0008SV-Gn
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2012 17:23:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:38964)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <raaahh@HIDDEN>) id 1ThpH9-0008SQ-E0
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2012 17:23:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51718)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <raaahh@HIDDEN>) id 1ThpH4-0007G1-MG
	for bug-gnu-emacs@HIDDEN; Sun, 09 Dec 2012 17:23:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <raaahh@HIDDEN>) id 1ThpH0-0008Rf-Vd
	for bug-gnu-emacs@HIDDEN; Sun, 09 Dec 2012 17:23:02 -0500
Received: from mail-lb0-f169.google.com ([209.85.217.169]:50599)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <raaahh@HIDDEN>) id 1ThpH0-0008RZ-Nf
	for bug-gnu-emacs@HIDDEN; Sun, 09 Dec 2012 17:22:58 -0500
Received: by mail-lb0-f169.google.com with SMTP id gk1so1814228lbb.0
	for <bug-gnu-emacs@HIDDEN>; Sun, 09 Dec 2012 14:22:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:subject:date:message-id:mime-version:content-type;
	bh=x+w7K04eZbrCtGqc8FSm/h0ekTcvh1jZxfnuzvqsFmM=;
	b=y+QAgVXg9QPh+VTgs6VUKvnBPqBxEnU4o67k6FN4Ygs+sRVhAb/BotIq/uCRhCFQHS
	niZEUngKsF9SEM5o5/8ROguF1mNuU/fB5kW3i/Eot+eER993qqOvCyBYcx9ggjhDMAr5
	zOwt5JXp6mtkGIbj3eL3ZdXZY9t3ggqGBiPiW5dOiMNyjuTkAVbNovkCtpwxe3pE374A
	t7HFWw0edUMLRrFOZt3kslCFDzhI36ffxoMYTBp/MynhGv99+ldizurjRL07+CPL2lvx
	vkexOyULMcK0jESLEoQBx0uH3Rsnv4iEOR4Um8iNfMkty6jNJRM04QZ01PO6FUNF4hVR
	I4ng==
Received: by 10.152.108.37 with SMTP id hh5mr11974894lab.52.1355091777234;
	Sun, 09 Dec 2012 14:22:57 -0800 (PST)
Received: from vbx ([178.252.98.87])
	by mx.google.com with ESMTPS id k7sm7045719lbf.4.2012.12.09.14.22.55
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sun, 09 Dec 2012 14:22:56 -0800 (PST)
From: Dmitry Gutov <dgutov@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.90; :box face attribute problems
Date: Mon, 10 Dec 2012 02:22:36 +0400
Message-ID: <87ip8asw5v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)


I'd like to use this attribute on the face that yasnippet sets on active
field overlays. So, to reproduce:

1. Install yasnippet.

2. Eval this:

(let ((color (face-attribute 'region :background)))
  (defface yas-field-highlight-box
    `((t :box (:line-width -1 :color ,color)))
    "Box the color of region."))
    
(put 'yas-field-highlight-face 'face-alias 'yas-field-highlight-box)

3. Open a buffer, M-x ruby-mode, type "forin", press Tab.

Problems:
a) Despite line-width of -1, the character widths are still affected.
You can observe it when tabbing between the fields: as the field becomes
inactive, it shrinks in width a bit.

b) The box border is drawn not only around the overlay, but also around
all pieces of text with different faces inside it. To reproduce, type
this in one of the fields: "abc"[/b/]

If installing yasnippet is a problem, I can try to localize the bug with
a smaller example.

--Dmitry

In GNU Emacs 24.2.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.6.0)
 of 2012-11-26 on vbx
Bzr revision: 110959 rgm@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11300000
System Description:	Ubuntu 12.10




Acknowledgement sent to Dmitry Gutov <dgutov@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13130; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.